Package org.apache.jmeter.gui.action

# Class CreateFunctionDialog

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.CreateFunctionDialog

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class CreateFunctionDialog extends AbstractAction

## Constructor Summary

Constructors
Constructor
Description
`CreateFunctionDialog()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent event)`
`Set<String>`
`getActionNames()`
Provide the list of Action names that are available in this command.

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreateFunctionDialog

public CreateFunctionDialog()

## Method Details

### getActionNames

public Set<String> getActionNames()
Provide the list of Action names that are available in this command.

### doAction

public void doAction(ActionEvent event)

Specified by:
  `doAction` in interface `Command`
Overrides:
  `doAction` in class `AbstractAction`
See Also:
  - `Command.doAction(ActionEvent)`